Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsBaseThesaurus Class Reference

This is the base class for all of the thesaurus types. It should never be used directly. More...

## Public Member Functions
void | setCharmap (String name)
| Specifies the character map used to translate thesaurus entries.
void | setExactMatchMode ()
| Select exact match mode.

## Detailed Description

This is the base class for all of the thesaurus types. It should never be used directly.

See also
  NetricsThesaurus, NetricsWeightedDictionary, NetricsCombinedThesaurus, NetricsServerInterface.thcreate

## Member Function Documentation

## ◆ setCharmap()

void NetricsServerInterface.NetricsBaseThesaurus.setCharmap | ( | String | name | ) |
| inline

Specifies the character map used to translate thesaurus entries.

If not specified the standard character map for data base tables is used.

Parameters

  name | The string name of an existing character map.

## ◆ setExactMatchMode()

void NetricsServerInterface.NetricsBaseThesaurus.setExactMatchMode | ( |  | ) |
| inline

Select exact match mode.

Calling this method sets the match mode to exact matching. By default the match mode is set to inexact match mode. When in exact match mode terms must match exactly (after the character map is applied) for the thesaurus match and any associated weighting or penalty to be applied. In the default inexact mode a match will be applied even if the term in the query or record is slightly different than the term in the thesaurus. The amount of difference allowed between the thesaurus term and the term in the query or record is determined by the length of the term, short terms must match exactly, longer terms allow one or two character differences.

Exact mode by be appropriate when there are terms in the thesaurus that are very similar but must not be confused.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.